xmlgraphics-batik-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Simon Steiner" <simonsteiner1...@gmail.com>
Subject [CVE-2020-11987] Apache XML Graphics Batik SSRF vulnerability
Date Wed, 24 Feb 2021 12:09:15 GMT
CVE-2020-11987:
        Apache XML Graphics Batik SSRF vulnerability

Severity:
        Medium

Vendor:
        The Apache Software Foundation

Versions Affected:
        Batik 1.13 and earlier

Description:
        The Apache Batik library is vulnerable to SSRF via the NodePickerPanel that allow
an
attacker to cause the underlying server to make arbitrary GET requests.

Mitigation:
        Users should upgrade to Batik 1.13 or later

Credit:
        This issue was independently reported by 张相浩

References:
        http://xmlgraphics.apache.org/security.html

The Apache XML Graphics team.





---------------------------------------------------------------------
To unsubscribe, e-mail: batik-users-unsubscribe@xmlgraphics.apache.org
For additional commands, e-mail: batik-users-help@xmlgraphics.apache.org


Mime
View raw message